<?xml version="1.0" encoding="UTF-8"?>
<route>
	<choice>
		<when>
			<simple>${headers.in} == null</simple>
			<connector-selector>
				<properties-to-use>
					<property>connector.type</property>
					<property>connector.protocol</property>
					<property>connector.classifier</property>
				</properties-to-use>
				<patterns>
					<pattern>=:=:=</pattern>
					<pattern>=:=:*</pattern>
					<pattern>=:*:*</pattern>
					<pattern>*:=:=</pattern>
					<pattern>*:=:*</pattern>
				</patterns>
				<options>
					<fail-back-to-legacy-router />
					<use-the-only-connector />
					<use-default-connector />
					<allow-all-stars-pattern>false</allow-all-stars-pattern>
					<treat-no-property-as-any>false</treat-no-property-as-any>
				</options>
			</connector-selector>
		</when>
		<otherwise>
			<connector-selector>
				<properties-to-use>
					<property>connector.type</property>
					<property>connector.protocol</property>
					<property>connector.classifier</property>
				</properties-to-use>
				<patterns>
					<pattern>=:=:=</pattern>
					<pattern>=:=:*</pattern>
					<pattern>=:*:*</pattern>
					<pattern>*:=:=</pattern>
					<pattern>*:=:*</pattern>
					<pattern>*:*:*</pattern>
				</patterns>
				<options>
					<fail-back-to-legacy-router />
					<use-the-only-connector />
					<use-default-connector>false</use-default-connector>
					<allow-all-stars-pattern>false</allow-all-stars-pattern>
					<treat-no-property-as-any>false</treat-no-property-as-any>
				</options>
			</connector-selector>
		</otherwise>
	</choice>
</route>
